#!/usr/bin/perl

#{[(%
#hace paraplot desde $ref o desde $caj o desde .ds
#traduce de un archivo $archivo a ..  para gnuplot y lllama a gnuplot

use warnings;
use strict;
use Text::Abbrev;
use Data::Dumper;
use File::Basename;
use Cwd;
use Storable;

#lss1  todos escriben ahi
#lss2 es sceptre
#ls3  noclas es lss1 y clas en ls3
#ls4 mensajes del fortran compilando
#ls5 de la ejecucion  del fortran
#lsg son mesnajes del gnuplot 
#lsp seran mensajes del paraplot.pl 
  
#para paraplort.pl
use Simusol::AyudasPP;    
use Simusol::ParaPlot;  #ex plotgraf
use Simusol::ArchSimul;

# para plotgnu.pl
use Simusol::AuxiliaresPP;    #crear_tmp   OJO CAMBIO RETURN DE ELEGIR ARCHIVOS
use Simusol::Globales;
use Simusol::PlotGNU;
use Getopt::Long;
use Pod::Usage; 

    my ($commlineinfo,$archivos)=Simusol::AyudasPP::desmenuzar_comando(1);


    #warn " O: $archivos->{outdir}, PP:  $commlineinfo->{progpath} PN:  $commlineinfo->{progname}, CA $commlineinfo->{cantarg};\n" ;
    print "archivos ", Dumper $archivos;
    #print "commlineinfo ", Dumper $commlineinfo;

    

    if (not scalar keys %{$archivos->{arg}}){
       if ($commlineinfo->{cantarg}==0){
          print "usar simplot ARCH (sin extension, busca @{$archivos->{extensiones}})  @ARGV \n";         
          }
       print "No encontro archivos ARGV: @ARGV\n";    
       exit;
       }

    if (not $commlineinfo->{opciones}->{nokill} or not defined $commlineinfo->{opciones}->{nokill} and $commlineinfo->{opciones}->{kill}){
	print "Matando gnuplot\n";
        system "killall gnuplot_x11 2>/dev/null";
        }
    if ($commlineinfo->{opciones}->{kill}){
	# return();
	exit();
        }
    
    #print Dumper $archivos;

    
    Simusol::PlotGNU::inicio();
    Simusol::AuxiliaresPP::inicio($commlineinfo); # antes de buscafile por elegir   
    Simusol::AyudasPP::inicio($commlineinfo,0,', paraplot',$archivos);
    Simusol::Globales::inicio($commlineinfo);
    Simusol::ParaPlot::inicio($commlineinfo);


    foreach my $elemento (@{$archivos->{argumentos}}){
       procesaarchivo($elemento,$archivos,$commlineinfo);
       }

    #Simusol::AyudasPP::parar3(0,'');
    #print Dumper $archivos;



#my $coderr='';
#my $mensaje = '';

#[ '.paraplot','.simul','.caj','.ds','.hashplot'];
# USADO EN find?txt en ayudasPP

#foreach my $palabra (
#       'corto','cortosin','propio','propiosin','basearchcorto','dirarray') {
#    $ref1->{$palabra} = [];
#};
#my @procesar = @{$ref1->{dirarray}};
#($coderr,$mensaje,my $arch) = traducir(@procesar);
#my $refarch = $reffi{$arch};
##escr_caj();
#$coderr and $coderr ne '1' and pre_parar1($coderr,$refarch,$mensaje);
#$reffi{$arch}->{clasearch}  eq 'modelo' and pre_parar1(1,0,$arch);
#explic(" Termine traducir general");
#$coderr = interpretar_archivo_circ_cuadros($arch);
#$coderr and pre_parar1($coderr,$reffi{$arch});
#con_1archivo($arch); #if $reffi{$arch}->{clasearch} eq 'circuito';
#exit;
#my $progname=$ref3->{progname};
#my $progpath=$ref3->{progpath};
#No se si se usa $progdate=
#print "ref3 opt: ", Dumper $ref3, $opt_hash, $dirsalida;
#print "listah ", Dumper $#listah;
#print Dumper $ref3;
#print Dumper $opt_hash;
#exit;
#foreach my $key (keys  %{$archivos->{arg}}){
#    print Dumper $archivos->{arg}->{$key};
#    print $archivos->{arg}->{$key}->{dirs}->[4]
#    }
#exit;




#if(@ARGV == 1 and -e "$ARGV[0].paraplot") {
#    $archivosinext = $ARGV[0];
#} else {
#   ($archivosinext) = elegir_archivos('paraplot');
#   $archivosinext =~ s/\.paraplot//;
#};
# our ($BASEARCH, $PROPIO, $CORTO, $PROPIOS, $CORTOSIN) 
#    = relativizar($archivosinext,$ref3->{curdirori}); 
# $BASEARCH con separador de directorios incluido
#$ref3->{curdirori}=$curdirori;
############################################################## Prepara directorios para escribir
#if (not defined $ref3->{outdirfinal} or not  $ref3->{outdirfinal}){
#    $ref3->{outdirfinal}=$outdir;
#}
#my $outdirfinal=$outdir;
#if (not defined $ref3->{outdir} or not  $ref3->{outdir}){
#    $ref3->{outdir}=$outdir;   #esto lo necesita aprontar
#    # parece que ya no uso aprontar
#    # REVISAR QUE HACIA
#}
#my $dirsal=Simusol::AyudasPP::calcular_dirsal();
#my $cw=cwd();
#print "outdir, nc,  BASE, NOMBRE,    EXT, SB \n";
#foreach my $sb (0,1){
#foreach my $bo ('/zbo','zzbo',''){
#  foreach my $od ('/hod','hhod',''){
#     foreach my $clas (0,1){    
#                                                     #$outdir,     $noclas,   $baseorigen,$nombreorigen
#        my $camino=Simusol::AyudasPP::resolver_dir($cw,$od,$clas,$bo,'pru','.ppl',$sb);
#        print "   CAM $camino\n"; 
#     }}}}

 
#exit;

# ver crear_dir
#mkdir "$outdir/tests";
#mkdir "$outdir/results";  # pq en unsa lo hacia en tests y aca en results?
# ---------------------------------------------------------------------------

# OJO SOLO SIMUSOL3
#chdir $ref3->{outdirfinal} if $ref3->{outdirfinal} ne '';
#impr_debug(__LINE__.' sim3',"\n\n          ya cambiado a \$outdirfinal $ref3->{outdir}");

#Simusol::AyudasPP::impr_debug(__LINE__.' sims',$curdirori); 


#-----------------------------------------------------------------------------

################################################################################################## de gnuplot.pl


sub procesaarchivo{    
    my($elemento,$archivos,$commlineinfo)=@_;

    print "COMM LINE y OPT_HASH ", Dumper $commlineinfo;
      
    my $arc=$archivos->{arg}->{$elemento}->{dirs};
    my $PROPIOSIN  =$arc->[0];  #SOLO 
    my $CORTOSIN   =$arc->[2];  #BASE+SOLO
    my $EXT        =$arc->[3];  #EXT    
    my $CORTO      =$arc->[4];  #BASE+SOLO+EXT
    my $ESTIPOSIMUL=$arc->[8];  #TIPO 


    #print " simplot 209 \n";
    #print Dumper $archivos;
               
    print "PROCESA ARCHIVO ELE: $elemento === EXT: $EXT ==== CORTO: $CORTO === TIPO:  $ESTIPOSIMUL ==================================================\n";
   
    #exit;
  
    # llama a abrir LSS1, sacado , ojo intenta imprimr antes, abrir un archivo fake
    Simusol::AyudasPP::abrir_ls3_log($archivos,$elemento,$progname);
      
    ####################### podria venir de simusol1.pl, si se lo llama en ese marco

    my $paraplot;
    my $GRAFICOS;
    my $AGRAFICOS;
    my $reruns;
    my $refcircuito={};
    my $cantvars=0;
    $archivos->{arg}->{$elemento}->{variables}=[];
    
    if ($EXT eq '.gra'){
          Simusol::PlotGNU::ejecutar_graf($commlineinfo->{opciones}->{graf},$CORTO,$CORTOSIN);          
          return;
          }

                
    if ($ESTIPOSIMUL==10 or $EXT eq '.simul' ){  # NO ES NINGUNA DE LAS EXTENSIONES CONOCIDAs, solo llega aca si explicaitamente se lo llama
       warn "OPCION 10  $CORTO  - $EXT $ESTIPOSIMUL es como si fuese archivo de datos\n";
       # sigo con otros archivos
       # ver simul contenidos en paraplot en subdirs

       # caso solo se tiene simul
       my ($ok3,$varsimul,$val,$undato,$cartelvar)= Simusol::ArchSimul::campossimul($arc->[4]);   
       if ($ok3 == -1){
           warn "No coincide encabezado don datos\n"; 
	   return;
           }

       $archivos->{arg}->{$elemento}->{variables}=$val;
       $archivos->{arg}->{$elemento}->{undato}=$undato;
       $cantvars=     scalar @{$archivos->{arg}->{$elemento}->{variables}};
       
       # intenta trabajar solo con un archivo de datos y crear todo a partir de alli, puede ser simul o una extension
       # cualquiera
    
       # en todos los casos verifica que el numero de columnas se corresponda con el listado de columnas, si es simul es diferente
       }

      

    
#          if (not defined $commlineinfo->{opciones}->{sgp} and ($EXT eq '.caj' or $EXT eq '.ds' or $EXT eq '.hashplot' or $cantvars  )){
#    if (not defined $commlineinfo->{opciones}->{sgp} and ($EXT eq '.caj' or $EXT eq '.ds' or $EXT eq '.hashplot' or $cantvars  )){

       # aca hay una descripcion del grafico sea con hash, results, o paraplot
       ############################ ESTO ES EL VIEJO paraplot.pl  
       #o la parte de simusol1.pl referida a la creacion de paraplots.

       #print Dumper $refcircuito;
       if ($EXT eq '.hashplot'){
             $refcircuito = retrieve($arc->[4]); 
            
             my $todas='';
             my $archguardar = $refcircuito->{PROPIOSINDIA}; 
             my $archguardarcongnus = $refcircuito->{CORTOSINDIA};
  
             if ($todas) {
                    $archguardar = "$archguardar"."_$todas";
                    $archguardar=~ s/\s+/_/g;
                    $archguardarcongnus =~ s/([^\/]+)$/gnus\/$1/;
                    $refcircuito->{refvalores}->{GRAFICOS} = undef;
	            };
  
	     
       }elsif ($EXT eq '.simul' and $cantvars){
	  my $RESULTADOS=[];
          my $TIEMPO="";	
          print "CANTVARS $cantvars \n";
          #foreach (  @{$archivos->{arg}->{$elemento}->{variables}}){
          #   push(@$RESULTADOS,$_);             
	  #}

	  print "RES @$RESULTADOS\n";

       
          ($GRAFICOS,$AGRAFICOS,$reruns)=Simusol::ParaPlot::prepara($archivos,$elemento,$refcircuito,$cantvars,$archivos->{arg}->{$elemento}->{variables});
	  #print Dumper $refcircuito;
	
       }else{ #$EXT eq '.caj' or $EXT eq '.ds' or

  	  ########## poner  $archivos->{arg}->{$elemento}
	  # caso se parta de results y se tenga simul 
          my ($ok3,$varsimul,$val,$primerdato,$cartelvar)= Simusol::ArchSimul::campossimul($CORTOSIN.".simul");   
          # verficar ok3	
	  #print "VAL ", Dumper $val;

	  $archivos->{arg}->{$elemento}->{simul}->{$CORTOSIN.".simul"}->{variables}=$val;
	       
          ($GRAFICOS,$AGRAFICOS,$reruns)=Simusol::ParaPlot::prepara($archivos,$elemento,$refcircuito,0,$val,$cartelvar);  
             #cambia refcircuito leyendo caj o el mismo refcircuito
             # recrea lo mejor que puede refcircuito
             ########### OJO GRAFICOS Y AGRAFICOS VER!!!!!
             }        
          #exit;
        
          if ($refcircuito ->{lisoutputssceptre} or $refcircuito->{refvalores}->{GRAFICOS} )  {   
	     #muestra_refcircuito($refcircuito,''); ## MUY OPA, solo imprime
      	     #my $archguardar = =$refcircuito->{PROPIOSINDIA}; + .simul
             ($paraplot)=Simusol::ParaPlot::prograficarASUS($refcircuito);
             }

          warn "Paraplot: ", $paraplot, "\n";

          #($paraplot)=Simusol::ParaPlot::prograficar($refcircuito); 

          my $creaparaplot=1;
          if (defined $commlineinfo->{opciones}->{ncp}){   # revisar relacion entre scp ncp y scg
             $creaparaplot=0;
             }

          #  revisar bien!!!!
          ($paraplot)=Simusol::ParaPlot::escribepara($paraplot,$GRAFICOS,$AGRAFICOS,$creaparaplot,$archivos,$elemento);

          # modifica o escribe paraplot, puede no ejecutarse si no se quiere paraplot (creaparaplot=0).
          # con 0 en cuarta variable no graba paraplot
          # ojo el paraplot que se escribe puede estar en un lugar diferente del caj o hashplot que lo origina
          # y que usa este programa para sus tareas, por lo tanto la ubicacion de los archivos en el paraplot que
          # graba puede cambiar, esto recien se notara si alguien toma el nuevo paraplot creado y genera graficos con el
          # el paraplot que sale de aqui puede ser el que entra o el que viene de GRAFICOS etc
          }

    


       ############################ Esto es el viejo simusol3.pl
      	
    my $arcdat=$archivos->{arg}->{$elemento}->{dirs}->[4];
    print "ARCDAT $arcdat\n";
    if (not defined $commlineinfo->{opciones}->{scp} and ($paraplot or -e $arcdat)){
   
           #caso sale de simul y no hay archivo paraplot todavia creado
	   # caso simul, hay arcdat pero no paraplot
           # todo eso del simul es un disparate, aca solo puede llegar si es caj ds hasplot paraplot	    
	   
           my ($date,$renglones)=Simusol::ParaPlot::pararenglones($paraplot,$archivos,$elemento);

           my ($archivogra,$Xarchivosgra)=Simusol::PlotGNU::gnuplot($renglones,$elemento,$archivos,$reruns,
                                          $commlineinfo->{opciones}->{noverb},
                                          $commlineinfo->{opciones}->{graf},
                                          " Preparado por $commlineinfo->{progname} \n  #   Se ejecuta con: gnuplot -persist"
                                          ); 
           #toma los datos de $paraplot o si es vacia de arch.paraplot, ojo el nombre arch igual hay que ponerlo
           # porque crea otros archivos con ese nombre (y otras extensiones)


           Simusol::PlotGNU::ejecutar_graf($commlineinfo->{opciones}->{graf},$archivogra,$Xarchivosgra);
   
	   
           }
        

           #else{ ##  NUNCA DEBE LLEGAR ACA
           # 
           #           print "IMPOSIBLE $arcdat , el programa tiene errores\n";
           #           }


    my $propiosin=$archivos->{arg}->{$elemento}->{dirs}->[0];
    
    # if (not $hayparend) {  # y porque no ver si existe archivo .par?
    if (-e  $propiosin.".par") {  # y porque no ver si existe archivo .par?
         system "cat $propiosin.par";
         };
    
    if (-e "$propiosin.res" and  $commlineinfo->{opciones}->{graf} ne '2'  and not $commlineinfo->{opciones}->{noverb}) {
         system "cat $propiosin.res";
         foreach (@$reruns) {  
           # quizas sea mas facil ver si hay archivos de ese tipo, 
           #aunque asi mas control, si hubo y no los borraron
           system "cat ${propiosin}_$_.res";
           }; 
         };
    


    
    return;  
    }
##########################################################################################
    #my $outdir=$archivos->{outdir};
      #print "OUTDIRPROCESA $outdir";
      #my $sb=$archivos->{sb};
      #$progr{$progname} = '1';
      

####################################

      #%Simusol::PlotGNU::nombarch=();
      #$Simusol::PlotGNU::refparapARCH={};
                        
      # my $abs_path = File::Spec->rel2abs( $rel_path ) 
      #   use Cwd 'abs_path';
      #   my $abs_path = abs_path($file);

      # my $camino=Simusol::AyudasPP::resolver_dir($curdirM,$outdir,$opt_hash->{noclas},$BASEARCH,$PROPIO,$EXT,$sb);
      #  print "   CAM $camino\n";

    
    #our ($BASEARCH, $PROPIO, $CORTO) ;
    #my $gnuplotprosd;
    #my $gnuplotcors;
    #($BASEARCH, $PROPIO, $CORTO, $gnuplotprosd,  $gnuplotcors ) = 
    # Simusol::AyudasPP::relativizar($arch,$curdirori);

   

    #    warn "PP $progname $progpath $curdirM $CORTO\n";
    #exit;

    #if (not $ARGV[0]){
    #    print "usar paraplot.pl ARCH (sin extension, busca .caj)\n";
    #    exit;
    #    }
    #opt_hash se llena en interpretar opciones se pasa referencia
    # antes de buscar file pues hay que sacar opciones de ARGV
    #($coderr,$mensaje) = interpretar_opciones($curdirori);
    #print Dumper \%opt_hash;
    #if (defined $opt_hash{kill}){print "MMM $opt_hash{kill}\n"};
    #exit;

     # my $ref3={};

    #$ref3->{MUTUODIR} = '../';
    #if ($opt_hash->{noclas}) {
              # $ref3->{ls3} = 'lss1'; 
              # $ref3->{MUTUODIR} = '';
    #           };    
    #$ref3->{PROPIOSIN}=$PROPIOSIN;
    #$ref3->{BASEARCHCORTO}= $BASEARCH;

    ######################################################################## inicio
   


##############

#if (not defined $opt_hash->{scp}){
        #### la pone en carteles lss1
        #print "ARCH $CORTO\n";



	#$ref3->{BASEARCHCORTO}=$CORTOSIN;
        #$ref3->{PROPIOSIN}=$PROPIOSIN;
	
	# Ver relativizar dirarray #######################################
	#my $BASEARCHCORTO=$CORTO;
	
	#$ref3->{GUARDARCORTOSIN}="$CORTOSIN$agregar"; 
	#my $ext=$EXT;


       # parece borrar archivos ver	
       #        $coderr = Simusol::AyudasPP::aprontar($ref3,$PROPIOSIN);

       #	print Dumper $ref3;
       #
       #$ref->{BASEARCHCORTO},
       #$ref->{ls3}
       ###exit;

      
	#$ref3->{BASEARCHCORTO}='';
	#print "PROPIOSIN $PROPIOSIN\n";
	#my $ABSOLUTO="$outdir$PROPIOSIN$EXT";
	#print "ABSOLUTO $ABSOLUTO\n";

        
        #$ref3->{DATECORTO}=scalar localtime((stat $arcdat)[9]);
        #print "$elemento , $arcdat ", Dumper $archivos;

	#,$outdir
#	my $RRR=File::Spec->catfile($BASEARCH,"$PROPIOSIN$EXT");#
#	print " RRRRRRRR $RRR\n";
#	$ABSOLUTO=File::Spec->rel2abs($RRR) ;	
#	$ref3->{DATECORTO}=scalar localtime((stat $ABSOLUTO)[9]);
        #$ref3->{PROPIO}=$PROPIO;
	#$ref3->{PROPIO}=$archivos->{arg}->{$elemento}->{dirs}->[5];


        # REVISAR BIEN!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!	
        #        Simusol::AyudasPP::presentar_simusol($ref3,0,\%dirsal,$SALIDAls3, $SALIDAlog);  
        #en auxiliares  y las abre y setea en auxiliares
        ##############################################################################
        #my $agregar='';
	#if ($opt_hash->{todas}) {
	#    $agregar = "_".$opt_hash->{todas};
	#}


##########################################################################################
# ---------------------------------------------------------------------------
sub muestra_refcircuito{

my ($refcircuito)= @_;

 print Dumper $refcircuito->{lisoutputssceptre};
  #    $VAR1 = [
 # 'TIME',
 # 'VCA',
 # 'IR5',
 # 'J1'
#];
 
 print Dumper $refcircuito->{lispropiasvars};

#$VAR1 = [
#  'TIEMPO',
#  'TEMP 1',
#  'FLUJO R5',
#  'J1'
#];

 print Dumper $refcircuito->{lisunidadesj};
 #$VAR1 = undef;
 print Dumper $refcircuito->{lismagnitudes};
 #$VAR1 = [
  #'tiempo',
  #'temperatura',
  #'flujo_de_calor',
 # 'flujo_de_calor'
#];
 print Dumper $refcircuito->{indicebueno};
 #$VAR1 = [
 # 1,
#  2,
#  3,
#  4
#];
 print Dumper $refcircuito->{lispropiasvars};
 #$VAR1 = [
  #'TIEMPO',
  #'TEMP 1',
  #'FLUJO R5',
 # 'J1'
#];
 print Dumper $refcircuito->{rerun};
 #$VAR1 = {
 # 'PARAMETROS' => {}
#};
 print Dumper $refcircuito->{marcasrerun};

#$VAR1 = '';
 print Dumper  $refcircuito->{archrerun};
 #$VAR1 = 'tanque.simul';
 print Dumper  $refcircuito->{PROPIO};
 #$VAR1 = 'tanque.dia';
 print Dumper $refcircuito->{CORTO};
 #$VAR1 = 'tanque.dia';


 print Dumper $refcircuito->{clasearch};
 #$VAR1 = 'circuito';
 print Dumper $refcircuito->{refvalores}->{GRAFICOS};

#$VAR1 = undef;  
 print Dumper $refcircuito->{lisnum};

#$VAR1 = {
  #'flujo_de_calor,W' => [
  #  3,
  #  4
  #],
  #'temperatura,gradoC' => [
   # 2
  #]
 # };
 print Dumper $refcircuito->{refvalores}->{AGREGAR_GRAFICOS};
 
#$VAR1 = undef; 


}


 
sub versionnum{
    my $version=33;
    return $version;
}






#####################################################

################################################################################################################


#------------------------------------------------------------------
sub help{
    
    pod2usage({-verbose => 0
           ,-exit => 1
	   ,-message => "   $progname ",versionnum(),"
       es parte del conjunto de scripts de S I M U S O L
            mas ayuda con   
	       man $progname
	    y luego salga con   q\n"   
	   });
 }
#----------------------------------------------------------------------------
sub version{
    
    print "\n      $progname  ",versionnum(),"\n\n";
    exit 0
}

########################################################### de paraplot.pl
#sub interpretar_opciones{
#  my $curdirori = $_[0];
#
#my $ref1 = {'curdirori'=>$curdirori};

#};    
#impr_todo(__LINE__.' sims',$ref1);
# 
#  my ($coderr,$mensaje) = ('','');
#  GetOptions(\%opt_hash, 'help','d','version','noverb','noclas',
#  'todas=s','graf=s','kill','nokill','path=s','impr','buscar','notrad','comp','outdir=s','scp','sgp','ncp')
#      or pod2usage(2);


#  Simusol::AyudasPP::impr_debug(__LINE__.' sim1 opciones',\%opt_hash);  
 
#  help() if defined $opt_hash{help};
#  version() if defined $opt_hash{version};
#  warn ".....  coms interpretar_opciones_1($ref1)" if $opt_hash{d};
# en este script no cambio de directorio porque hay que manejar 
# mas de un archivo

#  resolver_outdir($ref1,$opt_hash{outdir});
#  calcular_dirsal();

#  defined $opt_hash{graf} and $opt_hash{graf} =~ /^chic/i 
#    and $opt_hash{graf} = 5;
#  if (not $opt_hash{graf}) {
#      $opt_hash{graf} = 3;
#  } elsif ($opt_hash{graf} =~ /\D/) {
#      die "Opción para -graf $opt_hash{graf} irreconocible\n";
#  }; 
  # --------------------------------------------------------------------------
#  parar3(200,' Pidio no graficar') if $opt_hash{graf} eq '0';
  # --------------------------------------------------------------------------
#  warn ".....  com3 interpretar_opciones_3($ref1)" if $opt_hash{d};
#  $debug = $opt_hash{d}; #$debug está definida con our en Ayudas.pm
#  if ($opt_hash{noclas}) {
#      foreach my $key (keys %dirsalida) {
#          substr($dirsalida{$key},0,1) ne 'c' and $dirsalida{$key} = '';
#      };
#   };
# # Simusol::AyudasPP::resolver_outdir($ref1);
#  Simusol::AyudasPP::comfin('fin3 interpretar_opciones_3');
#}#interpretar_opciones_1   


##########################################################################


#)]}
__END__


=head1 NAME

simplot.pl - Forma parte de simusol; 

Interpreta diagramas hechos con B<dia> 

=head1 SYNOPSIS

B<simplot.pl> [I<opciones>]  [I<archivos>]

opciones:  

B<-help -version -d -noverb -todas> 
 (o abreviaturas distinguibles)
	   
         	           
para las opciones no importan mayusculas o minusculas;
para nombres de  archivos si importan.

=head1 OPTIONS/ARGUMENTS

=over 15

=item B<-h  --help>

Muestra este mensaje de ayuda 

=item B<-v  --version>

Muestra version.

=item B<-d>

Produce algunos mensajes para depuracion de errores del programa

=item B<nov --noverb>

Disminuye la cantidad de informacion no esencial que se da al ususrio.

 
=item B<-t --todas> I<comi>  
 
Se  ignoran  los pedidos de 
resultados y de graficos del diagrama y se sustituyen por el pedido de  
todas las variables cuyos nombres, para el sceptre, comienzan con  I<comi>
Si en I<comi> hay espacios habra que usar comillas. 
Por ejemplo,  con  B<-t VC>  se tendra, si es posible, el grafico de 
voltajes de todos los condensadores; para circuitos termicos 
corresponde a las temperaturas de todos los acumuladores, lo que tambien
 se puede pedir con  B<-t 'TEMP C'>. 


=item  I<archivos>

Nombres de archivos separados por espacio. Son los archivos-diagramas con
esquemas y datos para la simulacion.

=back


=head1 DESCRIPTION

Traduce  diagramas hechos con B<dia> teniendo en cuenta, fundamentalmente, 
la informacion de I<archivos>; y produce, principalmente, un archivo de
texto de extension B<.d> para que B<sceptre> pueda realizar la simulacion numerica. 

Su uso suele ser consecuencia de la ejecucion de B<simusol>;  pero se puede
utilizar  en forma independiente (por ejemplo a efectos de depurarlo). 

En lo que sigue denotaremos con 

=over 5

=item I<arch_i>    

alguno de los archivos indicados en I<archivos>

=item I<arch_circuito>   

Archivos indicados en I<archivos> que corresponde a un circuito.

=back

=head1 FILES

Ademas del archivo de extension B<.d>, objetivo principal de B<simusol1.pl>,
produce otros archivos necesarios para el objetivo global de Simusol;  
pueden ser de utilidad tambien al usuario.

=over 5

=item I<arch_ultimo>B<.d>

Para que lo procese B<sceptre> y siempre que la traducion se haya completado.

=item I<archi>B<.caj>

Con copia de la informacion de los cuadros del archivo-diagrama y copia de las
claves o formulas de traduccion que se han utilizado en los calculos.

=item I<arch_ultimo>B<.paraplot>

Con indicaciones a ser procesadas por B<simusol3.pl>
para producir graficos.

=item I<arch_ultimo>B<.lss1>

Con algunos mensajes sobre la traduccion.

=back

Ademas utiliza STDOUT y STDERR  


=head1 AUTHORS

Dolores Alia de Saravia <loli@unsa.edu.ar>

Luis R. Saravia <saravia@unsa.edu.ar>

Diego Saravia <dsa@unsa.edu.ar> 

 
